function T=matprojtrans(vecteur)
%MATPROJTRANS   Matrice projective d'une translation
%   vecteur : vecteur colonne de la translation
%
%   See also MATPROJISOPLAN.

%    Copyright 2006 Laurent Couvidou

tx = vecteur(1);
ty = vecteur(2);

T=[
1,  0,  tx;
0,  1,  ty;
0,  0,  1
];
end
