function [tx,ty]=rotepoint(param,point)
%ROTEPOINT  Fournit le rot d'un point avec les paramtres donns
%   
%   [TX,TY] = ROTEPOINT({CENTRE,ANGLE},[X,Y]) donne les coordonnes du
%   point (X,Y) transform par la rotation de centre CENTRE et d'angle
%   ANGLE.
%   
%   Example:
%   [tx,ty] = rotepoint({[1,2],pi/3},[4,5])
%
%   See also MATPROJROT, ROTE, TRANSFORMEPOINT.

%   Copyright 2006 Laurent Couvidou

[tx,ty] = transformepoint('rot',param,point);

end
