% Calcul symbolique de la matrice de rotation

% Copyright 2006 Laurent Couvidou

% Variables symboliques
syms cx;
syms cy;
syms cosinus;
syms sinus;

% Translations pour le changement de repre
Toc = [1, 0, cx; 0, 1, cy; 0, 0, 1]
Tco = [1, 0, -cx; 0, 1, -cy; 0, 0, 1]
Rpos = [ cosinus, -sinus, 0; sinus, cosinus, 0; 0, 0, 1]

% Rotation "complte"
R = Toc*Rpos*Tco
