function v=verif2d(type,donnee)
%VERIF  Vrifie le type d'une donne gomtrique 2D
%   Types reconnus :
%   - point
%   - vecteur
%   - angle

%   Copyright 2006 Laurent Couvidou

switch type
    
    case 'point' % on veut un vecteur ligne, 2 coords
        if (size(donnee,1)~=1) || (size(donnee,2)~=2)
            error([mat2str(donnee) ' n est pas un point 2D'])
        end
            
    case 'vecteur' % on veut un vecteur colonne, 2 coords
        if (size(donnee,1)~=2) || (size(donnee,2)~=1)
            error([mat2str(donnee) ' n est pas un vecteur 2D'])
        end

    case 'angle' % on veut un scalaire
        if (size(donnee,1)~=1) || (size(donnee,2)~=1)
            error([mat2str(donnee) ' n est pas un angle'])
        end
        
    otherwise
        error(['Le type ' type ' est inconnu'])
        
end
v = donnee;
end
