function [tx,ty]=glissepoint(param,point)
%GLISSEPOINT    Fournit le gliss d'un point avec les paramtres donns
%   
%   [TX,TY] = GLISSEPOINT({POINT,VECTEUR},[X,Y]) donne les coordonnes du
%   point (X,Y) transform par le glissement d'axe dirig par VECTEUR et
%   passant par POINT.
%   
%   Example:
%   [tx,ty] = glissepoint({[1,2],[3;4]},[5,6])
%
%   See also MATPROJGLIS, GLISSE, TRANSFORMEPOINT.

%   Copyright 2006 Laurent Couvidou

[tx,ty] = transformepoint('glis',param,point);

end
