function [tx,ty]=translatpoint(param,point)
%TRANSLATPOINT  Fournit le translat d'un point avec les paramtres donns
%   
%   [TX,TY] = TRANSLATPOINT({VECTEUR},[X,Y]) donne les coordonnes du
%   point (X,Y) transform par la translation de vecteur VECTEUR.
%   
%   Example:
%   [tx,ty] = translatpoint({[1,2]},[3,4])
%
%   See also MATPROJTRANS, TRANSLAT, TRANSFORMEPOINT.

%   Copyright 2006 Laurent Couvidou

[tx,ty] = transformepoint('trans',param,point);

end
